> ## Documentation Index
> Fetch the complete documentation index at: https://avala.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get fleetrecordings 

> GET    /api/v1/fleet/recordings/{uid}/



## OpenAPI

````yaml /openapi.yml get /fleet/recordings/{uid}/
openapi: 3.0.0
info:
  title: Avala API
  description: >

    # Authentication


    ## Generating an API Key


    The Avala SDK uses API keys to authenticate requests. You can create and
    manage your API keys from the

    Settings page of Mission Control.


    Follow these steps to generate a new API key:


    1. Open your settings page by clicking on your user avatar located at the
    top right-hand corner of any
        Mission Control screen, and select `Settings`.
    2. From the left-hand sub-menu, select `Security & Identity`.

    3. Click on `New API Key`, enter a name for the key, and then click `Create
    key`.


    The new key will be automatically copied to your clipboard. Please note, for
    security reasons, the key

    will not be accessible once you close the window. Ensure you store it in a
    safe location before closing

    the pop-up modal.


    ### Video walkthrough of API key generation


    <iframe class="embedly-embed"
    src="//cdn.embedly.com/widgets/media.html?src=https%3A%2F%2F
        www.youtube.com%2Fembed%2FTYdLhkAAbLA%3Ffeature%3Doembed&display_name=YouTube&url=https%3A%2F%2F
        www.youtube.com%2Fwatch%3Fv%3DTYdLhkAAbLA&image=https%3A%2F%2Fi.ytimg.com%2Fvi%2FTYdLhkAAbLA%2F
        hqdefault.jpg&key=7788cb384c9f4d5dbbdbeffd9fe4b92f&type=text%2Fhtml&schema=youtube" width="854"
        height="480" scrolling="no" title="YouTube embed" frameborder="0" allow="autoplay;
        fullscreen; encrypted-media; picture-in-picture;" allowfullscreen="true"></iframe>


    ## Authenticating with an API Key


    This is the easiest part! Just add a header named `X-Avala-Api-Key` to your
    requests and set the

    previously generated API Key as the value.
  termsOfService: https://avala.ai/legal/terms
  contact:
    email: support@avala.ai
  version: v1
servers:
  - url: https://api.avala.ai/api/v1
security:
  - API_Key: []
  - JWT: []
tags:
  - name: datasets
    description: To be completed...
  - name: projects
    description: To be completed...
  - name: tasks
    description: List and retrieve annotation tasks.
  - name: exports
    description: To be completed...
paths:
  /fleet/recordings/{uid}/:
    parameters:
      - name: uid
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - fleet
      description: GET    /api/v1/fleet/recordings/{uid}/
      operationId: fleet_recordings_read
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Recording'
components:
  schemas:
    Recording:
      type: object
      properties:
        uid:
          title: Uid
          type: string
          format: uuid
          readOnly: true
        device:
          title: Device
          type: string
          format: uuid
          readOnly: true
        status:
          title: Status
          type: string
          enum:
            - uploading
            - processing
            - ready
            - error
            - archived
        duration_seconds:
          title: Duration seconds
          type: number
          nullable: true
        size_bytes:
          title: Size bytes
          type: integer
          maximum: 9223372036854776000
          minimum: -9223372036854776000
          nullable: true
        topic_count:
          title: Topic count
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        tags:
          type: array
          items:
            title: Tags
            type: string
            maxLength: 100
            minLength: 1
        topics:
          title: Topics
          type: object
        started_at:
          title: Started at
          type: string
          format: date-time
          nullable: true
        ended_at:
          title: Ended at
          type: string
          format: date-time
          nullable: true
        created_at:
          title: Created at
          type: string
          format: date-time
          readOnly: true
        updated_at:
          title: Updated at
          type: string
          format: date-time
          readOnly: true
  securitySchemes:
    API_Key:
      type: apiKey
      name: X-Avala-Api-Key
      in: header
      description: >-
        API key for authentication. Generate one in Mission Control Settings >
        Security & Identity.
    JWT:
      type: apiKey
      name: Authorization
      in: header
      description: JWT token with 'JWT' prefix, e.g., 'JWT eyJhbGciOiJIUzI1NiIsInR...'

````